## com.example.Twiddle Interface com.example.Twiddle Interface — Twiddle interface used for testing |

## Methods

    BroadcastzNewz          (IN  String          newz)
    GetMostPowerfulSubject  (OUT Subject         most_powerful_subject)
    GetAllSubjects          (OUT Array<Subject>  subject)
    RegisterInterface       (IN  String          object_path,
                             IN  Boolean         impl_frob,
                             IN  Boolean         impl_tweak,
                             IN  Boolean         impl_twiddle)
    UnregisterInterface     (IN  String          object_path,
                             IN  Boolean         impl_frob,
                             IN  Boolean         impl_tweak,
                             IN  Boolean         impl_twiddle)
    UnregisterAllInterfaces (IN  String          object_path)

## Signals

    NewzNotifz (String  newz)

## Description

The #Twiddle interface wraps the D-Bus interface `com.example.Twiddle`. It is used in the EggDBus test suite.

## Method Details

### BroadcastzNewz ()

    BroadcastzNewz (IN  String  newz)

Broadcast newz to the world. This method will make the object emit the #Twiddle::NewzNotifz signal with `newz` as the newz to broadcast.

`IN String `newz``: | The newz to broadcast

### GetMostPowerfulSubject ()

    GetMostPowerfulSubject (OUT Subject  most_powerful_subject)

Gets the most powerful subject

`OUT Subject `most_powerful_subject``: | The most powerful subject

### GetAllSubjects ()

    GetAllSubjects (OUT Array<Subject>  subject)

Gets all known subjects

`OUT Array<Subject> `subject``: | An array of subjects

### RegisterInterface ()

    RegisterInterface (IN  String   object_path,
                       IN  Boolean  impl_frob,
                       IN  Boolean  impl_tweak,
                       IN  Boolean  impl_twiddle)

Register a new object (or an interface)

`IN String `object_path``: | The object path to register the object on
`IN Boolean `impl_frob``: | Whether the object should implement the #Frob interface
`IN Boolean `impl_tweak``: | Whether the object should implement the #Tweak interface
`IN Boolean `impl_twiddle``: | Whether the object should implement the #Twiddle interface

### UnregisterInterface ()

    UnregisterInterface (IN  String   object_path,
                         IN  Boolean  impl_frob,
                         IN  Boolean  impl_tweak,
                         IN  Boolean  impl_twiddle)

Unregister an object (or an interface of an object)

`IN String `object_path``: | The object path for unregistering
`IN Boolean `impl_frob``: | Remove the #Frob interface if registered
`IN Boolean `impl_tweak``: | Remove the #Tweak interface if registered
`IN Boolean `impl_twiddle``: | Remove the #Twiddle interface if registered

### UnregisterAllInterfaces ()

    UnregisterAllInterfaces (IN  String  object_path)

Unregister all interfaces for an object

`IN String `object_path``: | The object path for unregistering

## Signal Details

### The "NewzNotifz" signal

    NewzNotifz (String  newz)

Emitted when newz are available

`String `newz``: | The newz being emitted